package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Passes.SSH.RepositoryServerSSHPass;
public class ShutdownTestingServer extends RepositoryServerSSHPass {
    @Override
    protected String getServerFileName() {
        return "TestingSystem.jar";
    }
    @Override
    protected String getServerHomeName() {
        return "_testing_system";
    }
    @Override
    public String getIconPath() {
        return "/icons/Stop25.png";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (Global.mainModule.getPass(PassCode.PingTestingServer).Do(true)) {
            return true;
        } else {
            Log.Writeln_("Сервер уже неактивен!");
            return false;
        }
    }
    @Override
    protected void ServerAction() throws Exception {
        ShutdownServer();
    }
}
